Package org.eclipse.mat.parser.internal.oql.compiler

# Class Query.FromClause

java.lang.Object
org.eclipse.mat.parser.internal.oql.compiler.Query.FromClause

Enclosing class:
  `Query`

public static class Query.FromClause extends Object

## Constructor Summary

Constructors
Constructor
Description
`FromClause()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addObjectAddress(long objectAddress)`
`void`
`addObjectId(int objectId)`
`String`
`getAlias()`
`Expression`
`getCall()`
`String`
`getClassName()`
`String`
`getClassNamePattern()`
`ArrayLong`
`getObjectAddresses()`
`ArrayInt`
`getObjectIds()`
`Query`
`getSubSelect()`
`boolean`
`includeObjects()`
`boolean`
`includeSubClasses()`
`void`
`setAlias(String alias)`
`void`
`setCall(Expression call)`
`void`
`setClassName(String className)`
`void`
`setClassNamePattern(String classNamePattern)`
`void`
`setIncludeObjects(boolean includeObjects)`
`void`
`setIncludeSubClasses(boolean includeSubClasses)`
`void`
`setSubSelect(Query subSelect)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FromClause

public FromClause()

## Method Details

### getObjectAddresses

public ArrayLong getObjectAddresses()

### addObjectAddress

public void addObjectAddress(long objectAddress)

### getObjectIds

public ArrayInt getObjectIds()

### addObjectId

public void addObjectId(int objectId)

### getClassName

public String getClassName()

### setClassName

public void setClassName(String className)

### getClassNamePattern

public String getClassNamePattern()

### setClassNamePattern

public void setClassNamePattern(String classNamePattern)

### getCall

public Expression getCall()

### setCall

public void setCall(Expression call)

### getAlias

public String getAlias()

### setAlias

public void setAlias(String alias)

### includeSubClasses

public boolean includeSubClasses()

### setIncludeSubClasses

public void setIncludeSubClasses(boolean includeSubClasses)

### includeObjects

public boolean includeObjects()

### setIncludeObjects

public void setIncludeObjects(boolean includeObjects)

### getSubSelect

public Query getSubSelect()

### setSubSelect

public void setSubSelect(Query subSelect)

### toString

public String toString()

Overrides:
  `toString` in class `Object`